Bug 76504 - Keep-alives doesn't work on half-closed sockets.
Summary: Keep-alives doesn't work on half-closed sockets.
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 5.3-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-net mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-01-20 15:00 UTC by Dmitrij Tejblum
Modified: 2018-05-28 19:42 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (424 bytes, patch)
2005-01-20 15:00 UTC, Dmitrij Tejblum
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitrij Tejblum 2005-01-20 15:00:40 UTC
When a TCP socket is shutdown for writing, but isn't closed and isn't shutdown
for reading, then keep-alives does not work on this socket.

How-To-Repeat: 
Set sysctl net.inet.tcp.keepintvl to several seconds, create a half-closed
connection, and look with tcpdump. Half-closed connection may be create by
e.g. rsh -n.
Comment 1 silby freebsd_committer 2005-01-28 08:39:47 UTC
Responsible Changed
From-To: freebsd-bugs->silby

I'll take this one.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2015-11-12 01:29:10 UTC
Reassign to the wild with permission of assignee.

To submitter: is this report still valid?
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:42:22 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.